

Name:           perl-Audio-Scan
Version:        0.98
Release:        %mkrel 2
Summary:        Fast C metadata and tag reader for all common audio file formats
License:        GPL-2.0+
Group:          Development/Perl
Url:            http://search.cpan.org/dist/Audio-Scan/
Source0:        https://cpan.metacpan.org/authors/id/A/AG/AGRUNDMA/Audio-Scan-0.98.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl

%description
Audio::Scan is a C-based scanner for audio file metadata and tag
information. It currently supports MP3, MP4, Ogg Vorbis, FLAC, ASF, WAV,
AIFF, Musepack, Monkey's Audio, and WavPack.

See below for specific details about each file format.

%prep
%setup -q -n Audio-Scan-0.98
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}


%install
%make_install

chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Audio/Scan/Scan.so

%files
%defattr(-,root,root,755)
%doc Changes README README.win32
%doc COPYING
/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/Audio/Scan.pm
/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Audio/Scan/Scan.so
/usr/share/man/man3/Audio::Scan.3pm.bz2
   
%changelog
* Sun Oct 13 2019 tex - 0.98-2pclos2019
- rebuild against updates

* Mon Oct 23 2017 bb2 <bb2> - 0.98-1pclos2017
- new version
